ConstantUtf8 (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.classfile.ConstantUtf8 class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class ConstantUtf8

    java.lang.Object
      org.apache.bcel.classfile.Constant
          org.apache.bcel.classfile.ConstantUtf8

All Implemented Interfaces:
  Serializable, Cloneable, Node

    public final class ConstantUtf8

extends Constant

This class is derived from the abstract Constant class and represents a reference to a Utf8 encoded string.

Version:
  $Id: ConstantUtf8.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantUtf8(ConstantUtf8 c)` Initialize from another object.
`ConstantUtf8(String bytes)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` | `dump(DataOutputStream file)` Dump String in Utf8 format to file stream.
`String` | `getBytes()`
`void` | `setBytes(String bytes)`
`String` | `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, equals, getComparator, getTag, hashCode, setComparator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantUtf8

    public ConstantUtf8(ConstantUtf8 c)

  Initialize from another object.

### ConstantUtf8

    public ConstantUtf8(String bytes)

Parameters:
  `bytes` - Data

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump String in Utf8 format to file stream.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### getBytes

    public final String getBytes()

  Returns:
    Data converted to string.

### setBytes

    public final void setBytes(String bytes)

  Parameters:
    `bytes` - the raw bytes of this Utf-8

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.